package com.yifu.cloud.plus.v1.ekp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.ekp.entity.EkpSalaryInfo;
import com.yifu.cloud.plus.v1.yifu.ekp.vo.EkpSalaryParam;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 工资明细表
 *
 * @author huyc
 * @date 2024-03-11 11:21:56
 */
public interface EkpSalaryInfoService extends IService<EkpSalaryInfo> {

	@Transactional
//	@ShardingTransactionType(TransactionType.BASE)
	Boolean pushSalaryInfoToEkp(List<EkpSalaryParam> unPushList);
}
