package com.yifu.cloud.plus.v1.yifu.salary.vo;

import com.yifu.cloud.plus.v1.yifu.salary.entity.TSalaryStandardIssueRes;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author hgw2
 * @description 薪资上传vo
 * @date 2023/1/10
 */
@Getter
@Setter
public class SalaryUploadOriginalParamVo {
	// 配置
	String originalId;

	// sheetName；必填
	String sheetName;

	// 结算主体id；必填
	String settleDepart;

	// 工资配置结算月等信息的id
	String configId;

	// 工资类型。必填
	String salaryType;

	// 订单id
	String orderId;

	// 是否代发户，默认为空或0：非代发户，1是代发户
	Integer isIssue;

	// 代发户的配置list
	List<TSalaryStandardIssueRes> resList;

}
