package com.yifu.cloud.plus.v1.yifu.salary.vo;

import com.yifu.cloud.plus.v1.check.entity.TCheckIdCard;
import com.yifu.cloud.plus.v1.yifu.salary.entity.TSalaryStandardIssueRes;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author hgw2
 * @description 薪资上传vo
 * @date 2023/1/10
 */
@Getter
@Setter
public class SalaryUploadParamVo {
	// 表格json
	String jsonString;

	// 结算主体id；必填
	String settleDepart;

	// 工资配置结算月等信息的id
	String configId;

	// 工资类型。必填
	String salaryType;

	// 订单id
	String orderId;

	// 是否代发户，默认为空或0：非代发户，1是代发户
	Integer isIssue;

	// 代发户的配置list
	List<TSalaryStandardIssueRes> resList;

	// 原表识别，返回校验信息给前端
	List<TCheckIdCard> checkList;

	// 数据行，从0开始计数的
	Integer dataNum;

	// 表格类型 0 薪资原表 1 系统模板
	String excelType;

	// 方案名称
	String setName;

	// 原表类型
	String originalSetName;
}
