package com.yifu.cloud.plus.v1.yifu.social.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author hgw
 * @Description 社保士兵养工失增加模板
 * @Date 2024-5-10 21:05:29
 **/
@Data
public class SocialSoldierYgsAddVo implements Serializable {

	// 社保id，用于回写
	@ExcelIgnore
	private String socialId;

	@ExcelProperty("派单类型")
	private String type;
	@ExcelProperty("社保办理状态")
	private String socialHandleStatus;
	@ExcelProperty("养老状态")
	private String pensionHandle;
	@ExcelProperty("医疗状态")
	private String medicalHandle;
	@ExcelProperty("失业状态")
	private String unemployHandle;
	@ExcelProperty("工伤状态")
	private String workInjuryHandle;
	@ExcelProperty("生育状态")
	private String birthHandle;
	@ExcelProperty("大病状态")
	private String bigailmentHandle;
	@ExcelProperty("员工姓名")
	private String empName;
	@ExcelProperty("员工身份证")
	private String empIdcard;
	@ExcelProperty("学历")
	private String educationName;
	@ExcelProperty("客户名称")
	private String belongUnit;
	@ExcelProperty("项目名称")
	private String settleDomain;
	@ExcelProperty("员工类型")
	private String empType;
	@ExcelProperty("岗位")
	private String post;
	@ExcelProperty("手机号码")
	private String empMobile;
	@ExcelProperty("身份证所在地")
	private String idCardAddress;
	@ExcelProperty("通信地址")
	private String contactAddress;
	@ExcelProperty("户口性质")
	private String empRegisType;
	@ExcelProperty("民族")
	private String empNational;
	@ExcelProperty("工时制")
	private String workingHours;
	@ExcelProperty("合同年限")
	private String contractTerm;
	@ExcelProperty("合同起始时间")
	private String contractStart;
	@ExcelProperty("合同到期时间")
	private String contractEnd;
	@ExcelProperty("申请人")
	private String createUserName;
	@ExcelProperty("备案基数")
	private String recordBase;
	@ExcelProperty("缴纳类型")
	private String paymentType;
	@ExcelProperty("社保户")
	private String socialHouseholdName;
	@ExcelProperty("社保缴纳地-省")
	private String socialProvince;
	@ExcelProperty("社保缴纳地-市")
	private String socialCity;
	@ExcelProperty("社保缴纳地-县")
	private String socialTown;
	@ExcelProperty("养老起缴日期")
	private String pensionStart;
	;
	@ExcelProperty("养老基数")
	private BigDecimal unitPensionCardinal;
	@ExcelProperty("医疗起缴日期")
	private String medicalStart;
	@ExcelProperty("医疗基数")
	private BigDecimal unitMedicalCardinal;
	@ExcelProperty("失业起缴日期")
	private String unemployStart;
	@ExcelProperty("失业基数")
	private BigDecimal unitUnemploymentCardinal;
	@ExcelProperty("工伤起缴日期")
	private String workInjuryStart;
	@ExcelProperty("工伤基数")
	private BigDecimal unitWorkInjuryCardinal;
	@ExcelProperty("生育起缴日期")
	private String birthStart;
	@ExcelProperty("生育基数")
	private BigDecimal unitBirthCardinal;
	@ExcelProperty("大病起缴日期")
	private String bigailmentStart;
	@ExcelProperty("大病缴纳基数")
	private BigDecimal unitBigailmentCardinal;
	@ExcelProperty("单位大病金额")
	private BigDecimal unitBigailmentMoney;
	@ExcelProperty("个人大病金额")
	private BigDecimal personalBigailmentMoney;
	@ExcelProperty("委托备注")
	private String socailTrustRemark;
	@ExcelProperty("减少原因")
	private String reduceReason;
	@ExcelProperty("是否已导出")
	private String exportSocialFlag;
	@ExcelProperty(value = "学校")
	private String schoolName;
	@ExcelProperty(value = "专业")
	private String major;
	@ExcelProperty("毕业时间")
	private Date graduationTime;
	@ExcelProperty(value = "首次至缴纳地时间")
	private Date firstPayTime;
}
