package com.yifu.cloud.plus.v1.yifu.social.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author hgw
 * @Description 社保士兵医生大审核结果查询模板
 * @Date 2024-5-24 10:47:25
 **/
@Data
public class SocialSoldierYsdAuditVo implements Serializable {

	// 社保id，用于回写
	@ExcelIgnore
	private String socialId;
	// #企业名称	业务类型	申办日期起	申办日期止	回传信息	回传信息1	回传信息2
	@ExcelProperty("企业名称")
	private String socialHouseholdName;
	@ExcelProperty("业务类型")
	private String type;
	@ExcelProperty("申办日期起")
	private String startDate;
	@ExcelProperty("申办日期止")
	private String endDate;
	@ExcelProperty("回传信息")
	private String backInfo;
	@ExcelProperty("回传信息1")
	private String backInfoOne;
	@ExcelProperty("回传信息2")
	private String backInfoTwo;
}
